# $Revision: 1.4 $, $Date: 2012/02/11 20:46:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Module
%define		pnam	Metadata
%include	/usr/lib/rpm/macros.perl
Summary:	Module::Metadata - gather package and POD information from Perl module files
Summary(pl.UTF-8):	Module::Metadata - zbieranie informacji o pakietach i POD z plików modułów Perla
Name:		perl-Module-Metadata
Version:	1.000009
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DA/DAGOLDEN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9669dd618585de6832368043bc8c59b5
URL:		http://search.cpan.org/dist/Module-Metadata/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-version >= 0.87
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gather package and POD information from Perl module files.

%description -l pl.UTF-8
Module::Metadata - zbieranie informacji o pakietach i POD z plików
modułów Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Module/Metadata.pm
%{_mandir}/man3/Module::Metadata.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Metadata.spec,v $
Revision 1.4  2012/02/11 20:46:41  zbyniu
- up to 1.000009

Revision 1.3  2012/01/14 20:07:32  zbyniu
- up to 1.000007

Revision 1.2  2011/02/23 18:10:16  qboosh
- pl

Revision 1.1  2011/02/11 11:02:31  lisu
- new, created using pldcpan script
